--- title: "Get the List/a Particular Rule Template" slug: "get-the-list-a-particular-rule-template-4" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:56:58Z published: 2026-11-19T12:56:58Z canonical: "docs.trellix.com/get-the-list-a-particular-rule-template-4" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the List/a Particular Rule Template This URL retrieves the list/a particular rule template. ### Resource URL GET /sensor//packetcaptureruletemplate ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensor_id` | Sensor id | Number | Yes | Query Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `name` | Name of the rule template. Default is empty which returns all the templates | String | no | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `template` | List of rule templates | Array | Details of object in template: | Field Name | Description | Data Type | | --- | --- | --- | | `templateId` | ID of template | Number | | `templateName` | Name of template | String | | `visibleToCild` | Visible to child or not | Boolean | | `rule` | List of rules | Array | Details of object in rule: | Field Name | Description | Data Type | | --- | --- | --- | | `ruleId` | Rule id | Number | | `traffic` | Traffic | String | | `protocol` | Protocol | String | | `ipVersion` | IP version | String | | `fragmentsOnly` | Fragments only | Boolean | | `sourceIP` | Source IP | String | | `sourceMask` | Source mask | Number | | `sourcePort` | Source port | Number | | `destinationIP` | Destination IP | String | | `destinationMask` | Destination mask | Number | | `destinationPort` | Destination port | Number | | `vlanId` | VLAN id | Number | | `protocolNumber` | Protocol number | Number | ### Example **Request** GET [https:///sdkapi/sensor/1001/packetcaptureruletemplate?name=test](https://<NSM_IP>/sdkapi/sensor/1001/packetcaptureruletemplate?name=test) **Response** ``` { "tempate": [{ "templateId": 101, "templateName": "test", "visibleToCild": true, "rule": [{ "ruleId": 101, "traffic": "ALL", "protocol": "TCP", "ipVersion": "IPV_4", "fragmentsOnly": false, "sourceIP": "0.0.0.0", "sourceMask": 0, "sourcePort": 0, "destinationIP": "0.0.0.0", "destinationMask": 0, "destinationPort": 0, "vlanId": 0, "protocolNumber": 0 }] }] } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 500 | 1124 | The Sensor is inactive | | 3 | 400 | 6201 | Packet capture not supported on this Sensor |